# Arena 

## Description
Arena based memory management written in C.

## Table of Contents

- [Description](#description)
- [Features](#features) 
- [Usage](#usage)
- [Credits / Resources](#credits--resources)
- [License](#license)

## Features / TODOS
- [ ] No need for FREE.
- [ ] One allocation to rule them all.
- [ ] Flags for SOFTFAIL or Exceptions.
- [ ] Flags for NOZERO allocations.

## Usage
make <br>
make test

## Credits / Resources
[Null Program - Arena tips and tricks.](https://nullprogram.com/blog/2023/09/27/)<br>
[Ginger Bill - Memory Allocation Strategies](https://www.gingerbill.org/series/memory-allocation-strategies/)<br>
[Dave Hanson - Interfaces and Implementations](https://github.com/drh/cii)<br>


## License
This project is licensed under MIT - see the [LICENSE](LICENSE) file for details.
